#include <bits/stdc++.h>
using namespace std;

int main () {
	ios_base::sync_with_stdio(false);
	int n , k;
	cin >> n >>  k ;
	vector<int>v(n*2+1);
	int a ;
	for (int i = 0 ; i < n ; i++ ) {
	    cin >> a ;
	    v[a+n]++;
	}
	
	vector<int>t;
	for (int i = 0 ; i < v.size() ; i++ ) {
	    if ( v[i] >= k ) {
	        t.push_back(i-n);
	    }
	}
	
	cout << t.size() << endl ;
	for (int i = 0 ; i < t.size() ; i++ )cout << t[i] << ' ';
    

}